ob_inflatehandler
http_parse_headers
HTTP Functions
PHP Manual

# http_parse_cookie

(PECL pecl_http >= 0.20.0)

http_parse_cookie — Parse HTTP cookie

### Description

object http_parse_cookie ( string `$cookie` [, int `$flags` [, array `$allowed_extras` ]] )

Parses HTTP cookies like sent in a response into a struct.

### Parameters

`cookie`

  string containing the value of a Set-Cookie response header

`flags`

  parse flags (`HTTP_COOKIE_PARSE_RAW`)

`allowed_extras`

  array containing recognized extra keys; by default all unknown keys will be treated as cookie names

### Return Values

Returns a stdClass object on success or `FALSE` on failure.

### Examples

Example #1 Using http_parse_cookie()

`<?php
print_r(http_parse_cookie("foo=bar; bar=baz; path=/; domain=example.com; comment=; secure", 0, array("comment")));
?>`

The above example will output:

    stdClass Object
    (
      [cookies] => Array
      (
        [foo] => bar
        [bar] => baz
      )

      [extras] => Array
      (
        [comment] =>
      )

      [flags] => 16
      [expires] => 0
      [path] => /
      [domain] => example.com
    )

### See Also

- http_parse_headers() - Parse HTTP headers
- http_parse_message() - Parse HTTP messages
- http_build_cookie() - Build cookie string

ob_inflatehandler
http_parse_headers
HTTP Functions
PHP Manual